-- This file is automatically generated using maintenance/generateSchemaSql.php.
-- Source: sql/tables.json
-- Do not modify this file directly.
-- See https://www.mediawiki.org/wiki/Manual:Schema_changes
CREATE TABLE /*_*/machine_vision_provider (
  mvp_id INT UNSIGNED AUTO_INCREMENT NOT NULL,
  mvp_name VARBINARY(255) NOT NULL,
  UNIQUE INDEX mvp_name (mvp_name),
  PRIMARY KEY(mvp_id)
) /*$wgDBTableOptions*/;


CREATE TABLE /*_*/machine_vision_image (
  mvi_id INT AUTO_INCREMENT NOT NULL,
  mvi_sha1 VARBINARY(32) NOT NULL,
  mvi_priority TINYINT(3) DEFAULT 0,
  mvi_rand FLOAT NOT NULL,
  UNIQUE INDEX mvi_sha1 (
    mvi_sha1(10)
  ),
  INDEX mvi_rand (mvi_rand),
  INDEX mvi_priority (mvi_priority),
  PRIMARY KEY(mvi_id)
) /*$wgDBTableOptions*/;


CREATE TABLE /*_*/machine_vision_label (
  mvl_id INT AUTO_INCREMENT NOT NULL,
  mvl_mvi_id INT NOT NULL,
  mvl_wikidata_id VARBINARY(32) NOT NULL,
  mvl_review TINYINT DEFAULT 0 NOT NULL,
  mvl_uploader_id INT UNSIGNED DEFAULT NULL,
  mvl_reviewer_id INT UNSIGNED DEFAULT NULL,
  mvl_reviewed_time BINARY(14) DEFAULT NULL,
  UNIQUE INDEX mvl_mvi_wikidata (mvl_mvi_id, mvl_wikidata_id),
  INDEX mvl_uploader_review (mvl_uploader_id, mvl_review),
  PRIMARY KEY(mvl_id)
) /*$wgDBTableOptions*/;


CREATE TABLE /*_*/machine_vision_suggestion (
  mvs_mvl_id INT NOT NULL,
  mvs_provider_id INT UNSIGNED NOT NULL,
  mvs_timestamp BINARY(14) NOT NULL,
  mvs_confidence FLOAT UNSIGNED DEFAULT '0' NOT NULL,
  PRIMARY KEY(mvs_mvl_id, mvs_provider_id)
) /*$wgDBTableOptions*/;


CREATE TABLE /*_*/machine_vision_freebase_mapping (
  mvfm_freebase_id VARBINARY(32) NOT NULL,
  mvfm_wikidata_id VARBINARY(32) NOT NULL,
  PRIMARY KEY(
    mvfm_freebase_id, mvfm_wikidata_id
  )
) /*$wgDBTableOptions*/;


CREATE TABLE /*_*/machine_vision_safe_search (
  mvss_mvi_id INT NOT NULL,
  mvss_adult TINYINT DEFAULT 0 NOT NULL,
  mvss_spoof TINYINT DEFAULT 0 NOT NULL,
  mvss_medical TINYINT DEFAULT 0 NOT NULL,
  mvss_violence TINYINT DEFAULT 0 NOT NULL,
  mvss_racy TINYINT DEFAULT 0 NOT NULL,
  PRIMARY KEY(mvss_mvi_id)
) /*$wgDBTableOptions*/;
