-- This file is automatically generated using maintenance/generateSchemaSql.php.
-- Source: sql/tables.json
-- Do not modify this file directly.
-- See https://www.mediawiki.org/wiki/Manual:Schema_changes
CREATE TABLE machine_vision_provider (
  mvp_id SERIAL NOT NULL,
  mvp_name TEXT NOT NULL,
  PRIMARY KEY(mvp_id)
);

CREATE UNIQUE INDEX mvp_name ON machine_vision_provider (mvp_name);


CREATE TABLE machine_vision_image (
  mvi_id SERIAL NOT NULL,
  mvi_sha1 TEXT NOT NULL,
  mvi_priority SMALLINT DEFAULT 0,
  mvi_rand FLOAT NOT NULL,
  PRIMARY KEY(mvi_id)
);

CREATE UNIQUE INDEX mvi_sha1 ON machine_vision_image (mvi_sha1);

CREATE INDEX mvi_rand ON machine_vision_image (mvi_rand);

CREATE INDEX mvi_priority ON machine_vision_image (mvi_priority);


CREATE TABLE machine_vision_label (
  mvl_id SERIAL NOT NULL,
  mvl_mvi_id INT NOT NULL,
  mvl_wikidata_id TEXT NOT NULL,
  mvl_review SMALLINT DEFAULT 0 NOT NULL,
  mvl_uploader_id INT DEFAULT NULL,
  mvl_reviewer_id INT DEFAULT NULL,
  mvl_reviewed_time TIMESTAMPTZ DEFAULT NULL,
  PRIMARY KEY(mvl_id)
);

CREATE UNIQUE INDEX mvl_mvi_wikidata ON machine_vision_label (mvl_mvi_id, mvl_wikidata_id);

CREATE INDEX mvl_uploader_review ON machine_vision_label (mvl_uploader_id, mvl_review);


CREATE TABLE machine_vision_suggestion (
  mvs_mvl_id INT NOT NULL,
  mvs_provider_id INT NOT NULL,
  mvs_timestamp TIMESTAMPTZ NOT NULL,
  mvs_confidence FLOAT DEFAULT '0' NOT NULL,
  PRIMARY KEY(mvs_mvl_id, mvs_provider_id)
);


CREATE TABLE machine_vision_freebase_mapping (
  mvfm_freebase_id TEXT NOT NULL,
  mvfm_wikidata_id TEXT NOT NULL,
  PRIMARY KEY(
    mvfm_freebase_id, mvfm_wikidata_id
  )
);


CREATE TABLE machine_vision_safe_search (
  mvss_mvi_id INT NOT NULL,
  mvss_adult SMALLINT DEFAULT 0 NOT NULL,
  mvss_spoof SMALLINT DEFAULT 0 NOT NULL,
  mvss_medical SMALLINT DEFAULT 0 NOT NULL,
  mvss_violence SMALLINT DEFAULT 0 NOT NULL,
  mvss_racy SMALLINT DEFAULT 0 NOT NULL,
  PRIMARY KEY(mvss_mvi_id)
);
