-- This file is automatically generated using maintenance/generateSchemaSql.php.
-- Source: sql/tables.json
-- Do not modify this file directly.
-- See https://www.mediawiki.org/wiki/Manual:Schema_changes
CREATE TABLE /*_*/machine_vision_provider (
  mvp_id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
  mvp_name BLOB NOT NULL
);

CREATE UNIQUE INDEX mvp_name ON /*_*/machine_vision_provider (mvp_name);


CREATE TABLE /*_*/machine_vision_image (
  mvi_id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
  mvi_sha1 BLOB NOT NULL, mvi_priority SMALLINT DEFAULT 0,
  mvi_rand DOUBLE PRECISION NOT NULL
);

CREATE UNIQUE INDEX mvi_sha1 ON /*_*/machine_vision_image (mvi_sha1);

CREATE INDEX mvi_rand ON /*_*/machine_vision_image (mvi_rand);

CREATE INDEX mvi_priority ON /*_*/machine_vision_image (mvi_priority);


CREATE TABLE /*_*/machine_vision_label (
  mvl_id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
  mvl_mvi_id INTEGER NOT NULL, mvl_wikidata_id BLOB NOT NULL,
  mvl_review SMALLINT DEFAULT 0 NOT NULL,
  mvl_uploader_id INTEGER UNSIGNED DEFAULT NULL,
  mvl_reviewer_id INTEGER UNSIGNED DEFAULT NULL,
  mvl_reviewed_time BLOB DEFAULT NULL
);

CREATE UNIQUE INDEX mvl_mvi_wikidata ON /*_*/machine_vision_label (mvl_mvi_id, mvl_wikidata_id);

CREATE INDEX mvl_uploader_review ON /*_*/machine_vision_label (mvl_uploader_id, mvl_review);


CREATE TABLE /*_*/machine_vision_suggestion (
  mvs_mvl_id INTEGER NOT NULL,
  mvs_provider_id INTEGER UNSIGNED NOT NULL,
  mvs_timestamp BLOB NOT NULL,
  mvs_confidence DOUBLE PRECISION DEFAULT '0' NOT NULL,
  PRIMARY KEY(mvs_mvl_id, mvs_provider_id)
);


CREATE TABLE /*_*/machine_vision_freebase_mapping (
  mvfm_freebase_id BLOB NOT NULL,
  mvfm_wikidata_id BLOB NOT NULL,
  PRIMARY KEY(
    mvfm_freebase_id, mvfm_wikidata_id
  )
);


CREATE TABLE /*_*/machine_vision_safe_search (
  mvss_mvi_id INTEGER NOT NULL,
  mvss_adult SMALLINT DEFAULT 0 NOT NULL,
  mvss_spoof SMALLINT DEFAULT 0 NOT NULL,
  mvss_medical SMALLINT DEFAULT 0 NOT NULL,
  mvss_violence SMALLINT DEFAULT 0 NOT NULL,
  mvss_racy SMALLINT DEFAULT 0 NOT NULL,
  PRIMARY KEY(mvss_mvi_id)
);
